#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long int L,R,b=0;
    long double p,q,r,n,m,k,i;
    cin >> p >> q >> r >> L >> R;
    for (i=L;i<=R;i++)
    {
        n=ceil(i/p);
        m=ceil(i/q);
        k=ceil(i/r);
        if (n+m+k<=i)
            b++;
    }
    cout << b;
    return 0;
}